package com.goldenwater.slaj.acci.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.acci.mapper.BisAcciProgMapper;
import com.goldenwater.slaj.acci.domain.BisAcciProg;
import com.goldenwater.slaj.acci.service.IBisAcciProgService;

/**
 * 事故进展 服务层实现
 */
@Service
public class BisAcciProgServiceImpl implements IBisAcciProgService {

    @Autowired
    private BisAcciProgMapper bisAcciProgMapper;

    /**
     * 查询事故进展信息
     * @param guid 查询条件
     * @return 事故进展信息
     */
    @Override
    public BisAcciProg selectBisAcciProgByGuid(String guid) {
        return bisAcciProgMapper.selectBisAcciProgByGuid(guid);
    }

    /**
     * 查询事故进展列表
     * @param bisAcciProg 事故进展查询条件
     * @return 事故进展集合
     */
    @Override
    public List<BisAcciProg> selectBisAcciProgList(BisAcciProg bisAcciProg) {
        return bisAcciProgMapper.selectBisAcciProgList(bisAcciProg);
    }

    /**
     * 新增事故进展
     * @param bisAcciProg 事故进展信息
     * @return 影响行数
     */
    @Override
    public int insertBisAcciProg(BisAcciProg bisAcciProg) {
        return bisAcciProgMapper.insertBisAcciProg(bisAcciProg);
    }

    /**
     * 修改事故进展
     * @param bisAcciProg 事故进展信息
     * @return 影响行数
     */
    @Override
    public int updateBisAcciProg(BisAcciProg bisAcciProg) {
        return bisAcciProgMapper.updateBisAcciProg(bisAcciProg);
    }

    /**
     * 删除事故进展
     * @param guid 事故进展主键
     * @return 影响行数
     */
    @Override
    public int deleteBisAcciProgByGuid(String guid) {
        return bisAcciProgMapper.deleteBisAcciProgByGuid(guid);
    }

    /**
     * 批量删除事故进展
     * @param guids 事故进展主键数组
     * @return 影响行数
     */
    @Override
    public int deleteBisAcciProgByGuids(String[] guids) {
        return bisAcciProgMapper.deleteBisAcciProgByGuids(guids);
    }
}
